Bug 36897 - missing entry in listing of an NFS directory served by IRIX
Summary: missing entry in listing of an NFS directory served by IRIX
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
high
high
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-20 21:47 UTC by kehcheng
Modified: 2005-10-31 22:00 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-03 12:10:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test program that reproduces bug (991 bytes, text/plain)
2001-04-25 09:05 UTC, Toralf
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2001:084 normal SHIPPED_LIVE Kernel: Kernel: 2001-06-21 04:00:00 UTC

Description kehcheng 2001-04-20 21:47:04 UTC
This is exactly the same bug as #30944, which
was reported more than a month ago but still
is unfixed in 7.1.  I am raising its severity
and priority to high and resubmitting it as
a RedHat 7.1 bug.

One additional comment: to see this bug, you
should do "ls *" or "echo *" in tcsh, or use
the glob() function in perl; doing "ls *"
and "echo *" in bash will not reveal the bug
as bash seems to have its own way of doing
file glob'ing.

Comment 1 Toralf 2001-04-25 09:05:36 UTC
Created attachment 16346 [details]
Test program that reproduces bug

Comment 2 Toralf 2001-04-25 09:08:38 UTC
We have the same problem on our site. I've just attached a test program that
reproduces it.

Also, http://www.fys.uio.no/~trondmy/src/2.4.3/ contains code that fixes the
problem.

Comment 3 Mogens Kjaer 2001-05-03 11:39:58 UTC
I've patched the rh71 kernel rpms and made some
new iso files with these. They are available at
ftp://ftp.crc.dk/pub/rh71irixnfspatch

Note: They are without any warranty whatsoever,
use them at your own risk!

Comment 4 Arjan van de Ven 2001-05-03 11:57:30 UTC
The patch should also be in kernel version 2.4.3-2.12.1 and later which is in
rawhide / should be there soon

Comment 5 Toralf 2001-05-03 12:10:35 UTC
I actually tried downloading and installing kernel-2.4.3-2.12.1 from rawhide,
but I still had the same problem. Perhaps the patch was introduced after
2.4.3-2.12.1 was released?

Comment 6 Arjan van de Ven 2001-05-21 14:31:23 UTC
2.4.3-5 in rawhide absolutely has the patch. If it still doesn't work it's a
glibc bug. Please reopen in  that case.

Comment 7 Mogens Kjaer 2001-05-22 07:33:49 UTC
Confirmed; it works!

Comment 8 Toralf 2001-05-22 08:32:45 UTC
How about SGI's XFS patches? Are they, or will they be included any time soon.
(Perhaps I should add this as a separate issue?)

Comment 9 Need Real Name 2001-11-21 15:24:37 UTC
The same bug apparently reappears in  kernel update 2.4.9-12, RedHat 7.1.   Can
anybody confirm this?



Comment 10 Toralf 2001-11-22 07:26:52 UTC
I've encountered similar problems with kernel-2.4.9-13 under Red Hat 7.2, but
the symptoms aren't quite the same; with the original 7.1 kernel, one entry was
missing in readdir() output on some, possibly all, directories, while on
2.4.9-13, *nothing* is returned for large directores. Refer to Bug 55864 for
more info.


Note You need to log in before you can comment on or make changes to this bug.